#include "dynbuf.h"
#include <stdio.h>

int main(void) {
    Dynbuf dbuf = {};

    dynbuf_init(&dbuf, sizeof(int));
    dynbuf_resize(&dbuf, 7);

    for (int i = 0; i < 1000; i++) {
        dynbuf_push(&dbuf, &i);
    }

    printf("Size of buffer %zu\n", dynbuf_size(&dbuf));

    for (int i = 0; i < 10; i++) {
        int *got = (int *)dynbuf_get(&dbuf, (size_t)i * 100);
        printf("Got %d\n", *got);
    }

    while (dynbuf_size(&dbuf) > 0) {
        dynbuf_pop(&dbuf);
    }

    printf("Size of buffer %zu\n", dynbuf_size(&dbuf));

    printf("Capacity of buffer %zu\n", dynbuf_capacity(&dbuf));
    dynbuf_resize(&dbuf, 1337);
    printf("Capacity of buffer %zu\n", dynbuf_capacity(&dbuf));

    dynbuf_free(&dbuf);
    return 0;
}
